﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using RasonNetwork;

public class RpcsMenu : REventReceiver
{
    public GameObject Cubes;

    void Start()
    {
        Cubes.SetActive(false);

        // Start a game server.
        ServerInstance.StartServer(8500, 8);

        // Connect to it.
        RasonManager.Connect("127.0.0.1", 8500);
    }

    protected override void OnConnect(bool success)
    {
        if (success)
        {
            Cubes.SetActive(true);
        }
    }
    protected override void OnDisconnect(bool ByUser, LiteNetLib.DisconnectInfo disconnectInfo)
    {
        Cubes.SetActive(false);
    }
}
